Cloud ML

Overview

SCP에서 제공하는 IaaS/PaaS 상품을 프로그램적으로 이용할 수 있도록 지원하는 응용 프로그램 인터페이스(Application Programming Interface, API)를 제공합니다.

본 가이드는 Cloud ML 서비스에 대한 간략한 설명 및 API를 호출하는 방법을 제공합니다. API는 RESTful API 방식으로 제공되며, JSON 형식으로 응답합니다.

Version

VersionStatusSupported Until

OpenAPI URL

https://cloud-ml.{region}.{environment}.samsungsdscloud.com

Environment and Region List

environmentregion
skr-west1
skr-east1
gkr-south1
gkr-south2
gkr-south3
ekr-west1
ekr-east1

1 - APIs

1.1 - CheckDuplicationNameAndDomainName

1.1.1 - 1.0

get /v1/cloud-ml/check-duplication

Description

check duplication name and domain name(Please use either the ’name’ or ‘domain_name’ query parameter.)

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.0-

Parameters

TypeNameDescriptionSchemaDefault
headeraccept
optional
Accept
Example : application/json
stringapplication/json
headercontent_type
optional
Content-Type
Example : application/json
stringapplication/json
queryname
optional
name
Example :
stringNone
querydomain_name
optional
Domain Name
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKCloudMLCheckDuplicationResponse
400Bad RequestNone
401UnauthorizedNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-ml/check-duplication

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = cloud-ml 1.0"

Example HTTP response

Response 200

{
    "result": false
}

1.2 - CloudMLClusterCheckEstimate

1.2.1 - 1.0

get /v1/cloud-ml/clusters/{cluster_id}/estimate

Description

cloud ml cluster estimate

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.0-

Parameters

TypeNameDescriptionSchemaDefault
headeraccept
optional
Accept
Example : application/json
stringapplication/json
headercontent_type
optional
Content-Type
Example : application/json
stringapplication/json
pathcluster_id
required
Cluster ID
Example : 10a599e031e749b7b260868f441e862b
stringNone
queryuse_copilot
optional
Use Copilot
Example : False
booleanFalse

Responses

HTTP CodeDescriptionSchema
200OKCloudMLClusterEstimateResponse
400Bad RequestNone
401UnauthorizedNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-ml/clusters/{cluster_id}/estimate

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = cloud-ml 1.0"

Example HTTP response

Response 200

{
    "analytics": {
        "cpu": "",
        "gpu": "",
        "memory": ""
    },
    "application": {
        "cpu": "",
        "memory": ""
    },
    "copilot": {}
}

1.3 - CloudMLImages

1.3.1 - 1.0

get /v1/cloud-ml/images

Description

cloud ml images

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.0-

Parameters

TypeNameDescriptionSchemaDefault
headeraccept
optional
Accept
Example : application/json
stringapplication/json
headercontent_type
optional
Content-Type
Example : application/json
stringapplication/json

Responses

HTTP CodeDescriptionSchema
200OKImageVersionsResponse
400Bad RequestNone
401UnauthorizedNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-ml/images

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = cloud-ml 1.0"

Example HTTP response

Response 200

{
    "contents": [
        {
            "copilot_enabled": "",
            "display_version": "",
            "image_id": "",
            "image_name": "",
            "k8s_version": ""
        }
    ],
    "total_count": ""
}

1.4 - ClusterCheckReleasable

1.4.1 - 1.0

get /v1/cloud-ml/clusters/{cluster_id}/check-releasable

Description

cluster check releasable

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.0-

Parameters

TypeNameDescriptionSchemaDefault
headeraccept
optional
Accept
Example : application/json
stringapplication/json
headercontent_type
optional
Content-Type
Example : application/json
stringapplication/json
pathcluster_id
required
Cluster ID
Example : 10a599e031e749b7b260868f441e862b
stringNone

Responses

HTTP CodeDescriptionSchema
200OKCloudMLClusterCheckReleasableResponse
400Bad RequestNone
401UnauthorizedNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-ml/clusters/{cluster_id}/check-releasable

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = cloud-ml 1.0"

Example HTTP response

Response 200

{
    "exceptions": [],
    "result": true
}

1.5 - ClusterProduct

1.5.1 - 1.0

get /v1/cloud-ml/clusters/{cluster_id}

Description

cluster product

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.0-

Parameters

TypeNameDescriptionSchemaDefault
headeraccept
optional
Accept
Example : application/json
stringapplication/json
headercontent_type
optional
Content-Type
Example : application/json
stringapplication/json
pathcluster_id
required
Cluster ID
Example : 10a599e031e749b7b260868f441e862b
stringNone

Responses

HTTP CodeDescriptionSchema
200OKCloudMLClusterProductsResponse
400Bad RequestNone
401UnauthorizedNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-ml/clusters/{cluster_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = cloud-ml 1.0"

Example HTTP response

Response 200

{
    "cloud_ml": {},
    "cloud_ml_common": {}
}

1.6 - CreateCloudML

1.6.1 - 1.0

post /v1/cloud-ml

Description

create cloud ML

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.0-

Parameters

TypeNameDescriptionSchemaDefault
headeraccept
optional
Accept
Example : application/json
stringapplication/json
headercontent_type
optional
Content-Type
Example : application/json
stringapplication/json
bodybody
required

CloudMLRequest

Responses

HTTP CodeDescriptionSchema
200OKAsyncResponse
400Bad RequestNone
401UnauthorizedNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-ml

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = cloud-ml 1.0"

Request body

{
    "analytics_resource": {
        "cpu": 0,
        "gpu": "",
        "memory": 0
    },
    "application_resource": {
        "cpu": 0,
        "memory": 0
    },
    "cloud_ml_name": "aiml-test",
    "cluster_id": "10a599e031e749b7b260868f441e862b",
    "copilot": {
        "cpu": 0,
        "gpu": "",
        "memory": 0
    },
    "custom_registry_access_key": "10a599e031e749b7b260868f441e862b",
    "custom_registry_access_project_id": "10a599e031e749b7b260868f441e862b",
    "custom_registry_access_region": "10a599e031e749b7b260868f441e862b",
    "custom_registry_access_secret_key": "10a599e031e749b7b260868f441e862b",
    "custom_registry_host": "10a599e031e749b7b260868f441e862b",
    "description": "147@53A69a",
    "domain_name": "147@53A69a",
    "endpoint_type": "147@53A69a",
    "image_id": "10a599e031e749b7b260868f441e862b",
    "product_group_id": "10a599e031e749b7b260868f441e862b",
    "tags": [],
    "use_copilot": true
}

Example HTTP response

Response 200

{
    "project_id": "10a599e031e749b7b260868f441e862b",
    "request_id": "10a599e031e749b7b260868f441e862b",
    "resource_id": "10a599e031e749b7b260868f441e862b"
}

1.7 - DeleteCloudML

1.7.1 - 1.0

delete /v1/cloud-ml/{cloud_ml_id}

Description

delete cloud ML

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.0-

Parameters

TypeNameDescriptionSchemaDefault
headeraccept
optional
Accept
Example : application/json
stringapplication/json
headercontent_type
optional
Content-Type
Example : application/json
stringapplication/json
pathcloud_ml_id
required
Cluster ID
Example : 10a599e031e749b7b260868f441e862b
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
401UnauthorizedNone
404Not FoundNone
500Internal Server ErrorNone

Example HTTP request

Request path

/v1/cloud-ml/{cloud_ml_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = cloud-ml 1.0"

Example HTTP response

Response 202

1.8 - ShowCloudML

1.8.1 - 1.0

get /v1/cloud-ml/{cloud_ml_id}

Description

get cloud ML

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.0-

Parameters

TypeNameDescriptionSchemaDefault
headeraccept
optional
Accept
Example : application/json
stringapplication/json
headercontent_type
optional
Content-Type
Example : application/json
stringapplication/json
pathcloud_ml_id
required
Cluster ID
Example : 10a599e031e749b7b260868f441e862b
stringNone

Responses

HTTP CodeDescriptionSchema
200OKCloudMLDetailResponse
400Bad RequestCloudMLExceptionResponse
401UnauthorizedCloudMLExceptionResponse
404Not FoundCloudMLExceptionResponse

Example HTTP request

Request path

/v1/cloud-ml/{cloud_ml_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = cloud-ml 1.0"

Example HTTP response

Response 200

{
    "cloud_ml_id": "10a599e031e749b7b260868f441e862b",
    "cloud_ml_name": "aiml-test",
    "cloud_ml_state": "DEPLOYED",
    "cluster_id": "10a599e031e749b7b260868f441e862b",
    "cluster_name": "cluster-test",
    "cluster_permission": {},
    "cluster_request_failed": false,
    "copilot_enabled": false,
    "created_by": "10a599e031e749b7b260868f441e862b",
    "created_dt": "2024-05-17T00:23:17Z",
    "custom_registry_access_key": "aiml-test",
    "custom_registry_host": "aiml-test",
    "description": "aiml-test",
    "display_version": "22.04",
    "domain_name": "aiml-test",
    "endpoint_ip_address": "aiml-test",
    "endpoint_type": "private",
    "image_id": "10a599e031e749b7b260868f441e862b",
    "image_name": "aiml-test",
    "modified_by": "10a599e031e749b7b260868f441e862b",
    "modified_dt": "2024-05-17T00:23:17Z",
    "namespace_name": "aiml-test",
    "product_group_id": "10a599e031e749b7b260868f441e862b",
    "project_id": "10a599e031e749b7b260868f441e862b",
    "request_id": "10a599e031e749b7b260868f441e862b",
    "resource_limit_text": "aiml-test",
    "resource_request_text": "aiml-test",
    "storage_class_name": "aiml-test"
}

1.9 - UpdateCloudML

1.9.1 - 1.0

put /v1/cloud-ml/{cloud_ml_id}

Description

update cloud ML

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.0-

Parameters

TypeNameDescriptionSchemaDefault
headeraccept
optional
Accept
Example : application/json
stringapplication/json
headercontent_type
optional
Content-Type
Example : application/json
stringapplication/json
pathcloud_ml_id
required
Cluster ID
Example : 10a599e031e749b7b260868f441e862b
stringNone
bodybody
required

CloudMLUpdateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedCloudMLDetailResponse
400Bad RequestNone
401UnauthorizedNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-ml/{cloud_ml_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = cloud-ml 1.0"

Request body

{
    "description": "147@53A69a"
}

Example HTTP response

Response 202

{
    "cloud_ml_id": "10a599e031e749b7b260868f441e862b",
    "cloud_ml_name": "aiml-test",
    "cloud_ml_state": "DEPLOYED",
    "cluster_id": "10a599e031e749b7b260868f441e862b",
    "cluster_name": "cluster-test",
    "cluster_permission": {},
    "cluster_request_failed": false,
    "copilot_enabled": false,
    "created_by": "10a599e031e749b7b260868f441e862b",
    "created_dt": "2024-05-17T00:23:17Z",
    "custom_registry_access_key": "aiml-test",
    "custom_registry_host": "aiml-test",
    "description": "aiml-test",
    "display_version": "22.04",
    "domain_name": "aiml-test",
    "endpoint_ip_address": "aiml-test",
    "endpoint_type": "private",
    "image_id": "10a599e031e749b7b260868f441e862b",
    "image_name": "aiml-test",
    "modified_by": "10a599e031e749b7b260868f441e862b",
    "modified_dt": "2024-05-17T00:23:17Z",
    "namespace_name": "aiml-test",
    "product_group_id": "10a599e031e749b7b260868f441e862b",
    "project_id": "10a599e031e749b7b260868f441e862b",
    "request_id": "10a599e031e749b7b260868f441e862b",
    "resource_limit_text": "aiml-test",
    "resource_request_text": "aiml-test",
    "storage_class_name": "aiml-test"
}

2 - Models

2.1 - AnalyticsEstimateResponse

NameDescriptionSchemaDefault
cpu
required
CPU Usage
Example :
integer
gpu
required
GPU
Example :
any of [string, null]
memory
required
CPU Usage
Example :
integer

2.2 - ApplicationEstimateResponse

NameDescriptionSchemaDefault
cpu
required
CPU Usage
Example :
integer
memory
required
CPU Usage
Example :
integer

2.3 - AsyncResponse

NameDescriptionSchemaDefault
project_id
required
Project ID
Example : 10a599e031e749b7b260868f441e862b
string
request_id
required
Request ID
Example : 10a599e031e749b7b260868f441e862b
string
resource_id
required
Resource ID
Example : 10a599e031e749b7b260868f441e862b
string

2.4 - CloudMLCheckDuplicationResponse

NameDescriptionSchemaDefault
result
optional
Result
Example : False
boolean

2.5 - CloudMLClusterCheckReleasableException

NameDescriptionSchemaDefault
default_message
required
Default Message
Example :
string
detail_message
required
Detail Message
Example :
string
error_code
required
Error Code
Example :
string

2.6 - CloudMLClusterCheckReleasableResponse

NameDescriptionSchemaDefault
exceptions
optional
Exceptions
array[CloudMLClusterCheckReleasableException]
result
optional
Result
Example : True
booleanTrue

2.7 - CloudMLClusterEstimateResponse

NameDescriptionSchemaDefault
analytics
required
Analytics Estimate
AnalyticsEstimateResponse
application
required
Application Estimate
ApplicationEstimateResponse
copilot
optional
Copilot Estimate
AnalyticsEstimateResponse

2.8 - CloudMLClusterProductsResponse

NameDescriptionSchemaDefault
cloud_ml
optional
Cloud ML
CloudMLProductResponse
cloud_ml_common
optional
Cloud ML Common
CloudMLCommonResponse

2.9 - CloudMLCommonResponse

NameDescriptionSchemaDefault
cloud_ml_common_id
required
Cloud ML Common Id
Example : 10a599e031e749b7b260868f441e862b
string
cloud_ml_common_state
required
Cloud ML Common State
Example : DEPLOYED
string
cluster_id
required
Cluster ID
Example : 10a599e031e749b7b260868f441e862b
string
created_by
required
Created By
Example : 10a599e031e749b7b260868f441e862b
string
created_dt
required
Created Datetime
Example : 2024-05-17T00:23:17Z
string (date-time)
custom_registry_access_key
required
Custom Registry Access Key
Example : aiml-test
string
custom_registry_host
required
Custom Registry Host
Example : aiml-test
string
custom_registry_project_id
required
Custom Registry Access Project ID
Example : aiml-test
any of [string, null]
custom_registry_region
required
Custom Registry Access Region
Example : aiml-test
any of [string, null]
domain_name
required
Domain Name
Example : aiml-test
string
endpoint_type
required
Endpoint Type
Example : private
string
image_id
required
Image ID
Example : 10a599e031e749b7b260868f441e862b
string
image_registry_url
required
image.registry.url
Example :
string
modified_by
required
Modified By
Example : 10a599e031e749b7b260868f441e862b
string
modified_dt
required
Modified Datetime
Example : 2024-05-17T00:23:17Z
string (date-time)
namespace_name
required
Namepsace Name
Example : aiml-test
string
product_group_id
required
Product Group ID
Example : 10a599e031e749b7b260868f441e862b
any of [string, null]
project_id
required
Project ID
Example : 10a599e031e749b7b260868f441e862b
string
request_id
required
Request ID
Example : 10a599e031e749b7b260868f441e862b
string
resource_limit_text
required
Resource Limit Text
Example : aiml-test
string
resource_request_text
required
Resource Request Text
Example : aiml-test
string
storage_class_name
required
Storage Class Name
Example : aiml-test
string

2.10 - CloudMLDetailResponse

NameDescriptionSchemaDefault
cloud_ml_id
required
Cloud ML Id
Example : 10a599e031e749b7b260868f441e862b
string
cloud_ml_name
required
Cloud ML Name
Example : aiml-test
string
cloud_ml_state
required
Cloud ML State
Example : DEPLOYED
string
cluster_id
required
Cluster ID
Example : 10a599e031e749b7b260868f441e862b
string
cluster_name
optional
Cluster Name
Example : cluster-test
any of [string, null]
cluster_permission
optional
Cluster Permission
Example :
any of [object, null]
cluster_request_failed
optional
Cluster Request Fail
Example : False
any of [boolean, null]
copilot_enabled
required
Copilot Enable
Example : False
boolean
created_by
required
Created By
Example : 10a599e031e749b7b260868f441e862b
string
created_dt
required
Created Datetime
Example : 2024-05-17T00:23:17Z
string (date-time)
custom_registry_access_key
required
Custom Registry Access Key
Example : aiml-test
string
custom_registry_host
required
Custom Registry Host
Example : aiml-test
string
description
required
Description
Example : aiml-test
any of [string, null]
display_version
required
Display Version
Example : 22.04
string
domain_name
required
Domain Name
Example : aiml-test
string
endpoint_ip_address
optional
Endpoint Ip Address
Example : aiml-test
any of [string, null]
endpoint_type
required
Endpoint Type
Example : private
string
image_id
required
Image ID
Example : 10a599e031e749b7b260868f441e862b
string
image_name
required
Image Name
Example : aiml-test
string
modified_by
required
Modified By
Example : 10a599e031e749b7b260868f441e862b
string
modified_dt
required
Modified Datetime
Example : 2024-05-17T00:23:17Z
string (date-time)
namespace_name
required
Namepsace Name
Example : aiml-test
string
product_group_id
required
Product Group ID
Example : 10a599e031e749b7b260868f441e862b
any of [string, null]
project_id
required
Project ID
Example : 10a599e031e749b7b260868f441e862b
string
request_id
required
Request ID
Example : 10a599e031e749b7b260868f441e862b
string
resource_limit_text
required
Resource Limit Text
Example : aiml-test
string
resource_request_text
required
Resource Request Text
Example : aiml-test
string
storage_class_name
required
Storage Class Name
Example : aiml-test
string

2.11 - CloudMLExceptionDetailResponse

NameDescriptionSchemaDefault
code
required
code
Example :
string
detail
required
detail
Example :
string
global_request_id
required
Global Request Id
Example :
string
links
required
Links
array[string]
related_resources
required
Related Resources
array[string]
request_id
required
Request Id
Example :
string
status
required
Status
Example :
integer
title
required
Title
Example :
string

2.12 - CloudMLExceptionResponse

NameDescriptionSchemaDefault
errors
optional

array[CloudMLExceptionDetailResponse]

2.13 - CloudMLProductResponse

NameDescriptionSchemaDefault
cloud_ml_id
required
Cloud ML Id
Example : 10a599e031e749b7b260868f441e862b
string
cloud_ml_state
required
Cloud ML State
Example : DEPLOYED
string
cluster_id
required
Cluster ID
Example : 10a599e031e749b7b260868f441e862b
string
copilot_enabled
required
Copilot Enable
Example : False
boolean
created_by
required
Created By
Example : 10a599e031e749b7b260868f441e862b
string
created_dt
required
Created Datetime
Example : 2024-05-17T00:23:17Z
string (date-time)
custom_registry_access_key
required
Custom Registry Access Key
Example : aiml-test
string
custom_registry_host
required
Custom Registry Host
Example : aiml-test
string
description
required
Description
Example : aiml-test
any of [string, null]
display_version
required
Display Version
Example : 22.04
string
domain_name
required
Domain Name
Example : aiml-test
string
endpoint_type
required
Endpoint Type
Example : private
string
image_id
required
Image ID
Example : 10a599e031e749b7b260868f441e862b
string
image_name
required
Image Name
Example : aiml-test
string
modified_by
required
Modified By
Example : 10a599e031e749b7b260868f441e862b
string
modified_dt
required
Modified Datetime
Example : 2024-05-17T00:23:17Z
string (date-time)
namespace_name
required
Namepsace Name
Example : aiml-test
string
product_group_id
required
Product Group ID
Example : 10a599e031e749b7b260868f441e862b
any of [string, null]
project_id
required
Project ID
Example : 10a599e031e749b7b260868f441e862b
string
request_id
required
Request ID
Example : 10a599e031e749b7b260868f441e862b
string
resource_limit_text
required
Resource Limit Text
Example : aiml-test
string
resource_request_text
required
Resource Request Text
Example : aiml-test
string
storage_class_name
required
Storage Class Name
Example : aiml-test
string

2.14 - CloudMLRequest

NameDescriptionSchemaDefault
analytics_resource
required
Analytics Resource
Example : {'cpu': 0, 'gpu': '', 'memory': 0}
object
application_resource
required
Application Resource
Example : {'cpu': 0, 'memory': 0}
object
cloud_ml_name
required
Cloud ML Name
Example : aiml-test
string
cluster_id
required
Cluster ID
Example : 10a599e031e749b7b260868f441e862b
string
copilot
optional
Copilot
Example : {'cpu': 0, 'gpu': '', 'memory': 0}
object
custom_registry_access_key
required
Custom Registry Access Key
Example : 10a599e031e749b7b260868f441e862b
string
custom_registry_access_project_id
optional
Custom Registry Access Project ID
Example : 10a599e031e749b7b260868f441e862b
any of [string, null]
custom_registry_access_region
optional
Custom Registry Access Region
Example : 10a599e031e749b7b260868f441e862b
any of [string, null]
custom_registry_access_secret_key
required
Custom Registry Access Secret Key
Example : 10a599e031e749b7b260868f441e862b
string
custom_registry_host
required
Custom Registry Host
Example : 10a599e031e749b7b260868f441e862b
string
description
optional
Description
Example : 147@53A69a
string
domain_name
required
Domain Name
Example : 147@53A69a
string
endpoint_type
required
Endpoint Type
Example : 147@53A69a
string
image_id
required
Image ID
Example : 10a599e031e749b7b260868f441e862b
string
product_group_id
optional
Product Group ID
Example : 10a599e031e749b7b260868f441e862b
string
tags
optional
Tags
array[object]
use_copilot
optional
Use Copilot
Example : True
boolean

2.15 - CloudMLUpdateRequest

NameDescriptionSchemaDefault
description
required
Description
Example : 147@53A69a
string

2.16 - ImageAttr

NameDescriptionSchemaDefault
copilot_enabled
required
Copilot Enabled
Example :
string
display_version
required
Display Version
Example :
string
image_id
required
Image ID
Example :
string
image_name
required
Image Name
Example :
string
k8s_version
required
K8s Version
Example :
any of [string, null]

2.17 - ImageVersionsResponse

NameDescriptionSchemaDefault
contents
required
contents
array[ImageAttr]
total_count
required
total_count
Example :
integer